Skip to main content
GET
/
v2
/
giftcards
/
network
/
overview
Getnetworkoverview
curl --request GET \
  --url https://api.loyalty.dog/v2/giftcards/network/overview \
  --header 'Authorization: Bearer <token>'
{
  "totalMerchants": 123,
  "totalCards": 123,
  "totalTransactionVolume": "<string>",
  "activeCards": 123,
  "totalTransactions": 123,
  "merchantBreakdowns": [
    {
      "merchantId": "5eb7cf5a86d9755df3a6c593",
      "merchantName": "<string>",
      "cardCount": 123,
      "transactionVolume": "<string>"
    }
  ],
  "salesGrowth": "<string>",
  "salesGrowthType": "<string>",
  "merchantGrowth": "<string>",
  "merchantGrowthType": "<string>",
  "cardGrowth": "<string>",
  "cardGrowthType": "<string>",
  "txGrowth": "<string>",
  "txGrowthType": "<string>",
  "adoptionData": [
    {
      "label": "<string>",
      "value": 123,
      "secondaryValue": 123
    }
  ],
  "revenueData": [
    {
      "label": "<string>",
      "value": 123
    }
  ],
  "breakage": {
    "value": 123,
    "total": 123,
    "centerText": "<string>",
    "label": "<string>"
  },
  "txFeeRevenue": "<string>",
  "ltvUplift": "<string>",
  "healthTxSuccessRate": 123,
  "healthFraudAlerts": 123,
  "healthSupportTickets": 123
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Query Parameters

programId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

totalMerchants
integer
required
totalCards
integer
required
totalTransactionVolume
string
required
activeCards
integer
required
totalTransactions
integer
required
merchantBreakdowns
MerchantCardStats · object[]
required
salesGrowth
string | null
salesGrowthType
string | null
merchantGrowth
string | null
merchantGrowthType
string | null
cardGrowth
string | null
cardGrowthType
string | null
txGrowth
string | null
txGrowthType
string | null
adoptionData
AdoptionDataPoint · object[]
revenueData
RevenueDataPoint · object[]
breakage
BreakageData · object
txFeeRevenue
string | null
ltvUplift
string | null
healthTxSuccessRate
number | null
healthFraudAlerts
integer | null
healthSupportTickets
integer | null